Show / Hide Table of Contents

# Interface IFileStreamFactory

Interface for a factory that creates filesystem readers/writers

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution.DataStorage

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public interface IFileStreamFactory

### Methods

| Improve this Doc View Source

#### CreateFile()

##### Declaration

    string CreateFile()

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### DisposeFile(String)

##### Declaration

    void DisposeFile(string fileName)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | fileName |

| Improve this Doc View Source

#### GetReader(String)

##### Declaration

    IFileStreamReader GetReader(string fileName)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | fileName |

##### Returns

Type | Description
--- | ---
IFileStreamReader |

| Improve this Doc View Source

#### GetWriter(String, Int32, Int32)

##### Declaration

    IFileStreamWriter GetWriter(string fileName, int maxCharsToStore, int maxXmlCharsToStore)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | fileName |
System.Int32 | maxCharsToStore |
System.Int32 | maxXmlCharsToStore |

##### Returns

Type | Description
--- | ---
IFileStreamWriter |